unit Galeria;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, Opcje, Menus, ExtCtrls;

type
  TGallery = class(TForm)
    PopupMenu: TPopupMenu;
    StayOnTopItem: TMenuItem;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    procedure StayOnTopItemClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure SpeedButton6Click(Sender: TObject);
  end;

var
  Gallery: TGallery;

implementation

{$R *.DFM}

uses Main;

procedure TGallery.StayOnTopItemClick(Sender: TObject);
begin
  StayOnTopItem.Checked := not StayOnTopItem.Checked;
  if StayOnTopItem.Checked then FormStyle:= fsStayOnTop else FormStyle:= fsNormal;
end;

procedure TGallery.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  MainForm.GalleryItemClick(nil);
end;

procedure TGallery.SpeedButton1Click(Sender: TObject);
begin
  if MainForm.ActiveMDIChild<>nil then
  begin
    MultiPageDlg.BitBtn3.OnClick(nil);
    if not MultiPageDlg.AutomatCheckBox.Checked then MultiPageDlg.DrawBtnClick(nil);
    TPanel(MainForm.ActiveMDIChild.components[numerkomponentu2('Panel')]).OnExit(nil);
  end;
end;

procedure TGallery.SpeedButton2Click(Sender: TObject);
begin
  if MainForm.ActiveMDIChild<>nil then
  begin
    MultiPageDlg.BitBtn7.OnClick(nil);
    if not MultiPageDlg.AutomatCheckBox.Checked then MultiPageDlg.DrawBtnClick(nil);
    TPanel(MainForm.ActiveMDIChild.components[numerkomponentu2('Panel')]).OnExit(nil);
  end;
end;

procedure TGallery.SpeedButton3Click(Sender: TObject);
begin
  if MainForm.ActiveMDIChild<>nil then
  begin
    MultiPageDlg.BitBtn8.OnClick(nil);
    if not MultiPageDlg.AutomatCheckBox.Checked then MultiPageDlg.DrawBtnClick(nil);
    TPanel(MainForm.ActiveMDIChild.components[numerkomponentu2('Panel')]).OnExit(nil);
  end;
end;

procedure TGallery.SpeedButton4Click(Sender: TObject);
begin
  if MainForm.ActiveMDIChild<>nil then
  begin
    MultiPageDlg.BitBtn11.OnClick(nil);
    if not MultiPageDlg.AutomatCheckBox.Checked then MultiPageDlg.DrawBtnClick(nil);
    TPanel(MainForm.ActiveMDIChild.components[numerkomponentu2('Panel')]).OnExit(nil);
  end;
end;

procedure TGallery.SpeedButton5Click(Sender: TObject);
begin
  if MainForm.ActiveMDIChild<>nil then
  begin
    MultiPageDlg.BitBtn9.OnClick(nil);
    if not MultiPageDlg.AutomatCheckBox.Checked then MultiPageDlg.DrawBtnClick(nil);
    TPanel(MainForm.ActiveMDIChild.components[numerkomponentu2('Panel')]).OnExit(nil);
  end;
end;

procedure TGallery.SpeedButton6Click(Sender: TObject);
begin
  if MainForm.ActiveMDIChild<>nil then
  begin
    MultiPageDlg.BitBtn10.OnClick(nil);
    if not MultiPageDlg.AutomatCheckBox.Checked then MultiPageDlg.DrawBtnClick(nil);
    TPanel(MainForm.ActiveMDIChild.components[numerkomponentu2('Panel')]).OnExit(nil);
  end;
end;

end.
